
QGIS Application - Bug report #16210

QGIS doesn't diplay attributes of a spatial view created in a geopackage

2017-02-20 09:24 PM - colin east

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24120

Description

Workflow:

•Using QGIS, create a polygon layer using 'Layer>Create Layer>New Geopackage Layer'

•Then create a non-spatial layer using the same method and selecting the same geopackage but select the ‘Geometry type’ as 'non

spatial'

•Using DB Browser enable foreign keys checkbox in pragams and add a foreign key constraint to non-spatial table (FootpathCondition)

•Then create a spatial view:

CREATE VIEW FootpathConditionRatings as Select fp2.fid as fid, fpc2.fid as AuditID, fpc2.AuditData as DateAudited, fp2.geometry as

geometry from Footpath as fp2 INNER JOIN FootpathCondition as fpc2 ON fpc2.FK_Footpath = fp2.fid where AuditID in( select AID

from( Select fp.fid as fid, fpc.fid as AID, MAX as DateAudited from Footpath as fp INNER JOIN FootpathCondition as fpc ON

fpc.FK_Footpath = fp.fid group by fp.fid ) )

•add values to gpkg_contents and gpkg_geometry_columns to make the view a spatial layer

•using QGIS populate tables adding 2 polygons and 8 records in non-spatial table (representing 4 transactions against each polygon)

•Using DB Browser check 2 tables' and the view's data. View returns 2 rows with the most recent date, as expected.

fid AuditID DateAudited

"2" "3" "2017-02-14" 

"1" "8" "2016-05-14" 

•Add view to QGIS using DB Manager and check data.

Outcome: geography is dispalyed but no attribute data is display (returns null).

Note: I created a virtual layer using the same query as used for the spatial view and it returned the attributes.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
